org.apache.cassandra.cql3.statements

## Class UpdateStatement.ParsedUpdate

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed
      - - org.apache.cassandra.cql3.statements.UpdateStatement.ParsedUpdate

Enclosing class:
  UpdateStatement

    public static class UpdateStatement.ParsedUpdate
    extends ModificationStatement.Parsed

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

`attrs, conditions`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`UpdateStatement.ParsedUpdate(CFName name, Attributes.Raw attrs, java.util.List<Pair<ColumnIdentifier,Operation.RawUpdate>> updates, java.util.List<Relation> whereClause, java.util.List<Pair<ColumnIdentifier,ColumnCondition.Raw>> conditions)` Creates a new UpdateStatement from a column family name, columns map, consistency level, and key term.

### Method Summary

Methods
`protected ModificationStatement` `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Attributes attrs)`

### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

`prepare, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateStatement.ParsedUpdate

    public UpdateStatement.ParsedUpdate(CFName name,
                                Attributes.Raw attrs,
                                java.util.List<Pair<ColumnIdentifier,Operation.RawUpdate>> updates,
                                java.util.List<Relation> whereClause,
                                java.util.List<Pair<ColumnIdentifier,ColumnCondition.Raw>> conditions)

Creates a new UpdateStatement from a column family name, columns map, consistency level, and key term.

Parameters:
  `name` - column family being operated on
  `attrs` - additional attributes for statement (timestamp, timeToLive)
  `updates` - a map of column operations to perform
  `whereClause` - the where clause

### Method Detail

#### prepareInternal

    protected ModificationStatement prepareInternal(CFMetaData cfm,
                                        VariableSpecifications boundNames,
                                        Attributes attrs)
                                             throws InvalidRequestException

Specified by:
  `prepareInternal` in class `ModificationStatement.Parsed`
Throws:
  `InvalidRequestException`